import BaseAPI from './base_api'

export default class ListAPI extends BaseAPI {
  /**
   * 列表
   */
  getLiveList = (obj) => this.get('/share/v1/live-activity/list', obj)
  /**
   * 详情
   */
  getLiveDetail = (id) => this.get(`/share/v1/live-activity/detail/${id}`)
  /**
   * 获取加入H5乐分享直播的用户
   */
  getDetailUser = (id) => this.get(`/share/v1/live-activity/join/${id}/users`)
  /**
   * 获取直播回放的列表
   */
  getPlaybackList = (obj) => this.get('/share/v1/live-activity/record-list', obj)
}
